> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List prompt versions

> Retrieve all versions of a specific prompt with pagination support. Each prompt can have multiple versions with different configurations.



## OpenAPI

````yaml get /v1/prompts/{prompt_identifier}/versions
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/prompts/{prompt_identifier}/versions:
    get:
      tags:
        - prompts
      summary: List prompt versions
      description: >-
        Retrieve all versions of a specific prompt with pagination support. Each
        prompt can have multiple versions with different configurations.
      operationId: listPromptVersions
      parameters:
        - name: prompt_identifier
          in: path
          required: true
          schema:
            type: string
            description: The identifier of the prompt, i.e. name or ID.
            title: Prompt Identifier
          description: The identifier of the prompt, i.e. name or ID.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for pagination (base64-encoded promptVersion ID)
            title: Cursor
          description: Cursor for pagination (base64-encoded promptVersion ID)
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            exclusiveMinimum: 0
            description: The max number of prompt versions to return at a time.
            default: 100
            title: Limit
          description: The max number of prompt versions to return at a time.
      responses:
        '200':
          description: A list of prompt versions with pagination information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPromptVersionsResponseBody'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        '404':
          content:
            text/plain:
              schema:
                type: string
          description: Not Found
        '422':
          description: Unprocessable Entity
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    GetPromptVersionsResponseBody:
      properties:
        data:
          items:
            $ref: '#/components/schemas/PromptVersion'
          type: array
          title: Data
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - data
        - next_cursor
      title: GetPromptVersionsResponseBody
    PromptVersion:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        model_provider:
          $ref: '#/components/schemas/ModelProvider'
        model_name:
          type: string
          title: Model Name
        template:
          oneOf:
            - $ref: '#/components/schemas/PromptChatTemplate'
            - $ref: '#/components/schemas/PromptStringTemplate'
          title: Template
          discriminator:
            propertyName: type
            mapping:
              chat:
                $ref: '#/components/schemas/PromptChatTemplate'
              string:
                $ref: '#/components/schemas/PromptStringTemplate'
        template_type:
          $ref: '#/components/schemas/PromptTemplateType'
        template_format:
          $ref: '#/components/schemas/PromptTemplateFormat'
        invocation_parameters:
          oneOf:
            - $ref: '#/components/schemas/PromptOpenAIInvocationParameters'
            - $ref: '#/components/schemas/PromptAzureOpenAIInvocationParameters'
            - $ref: '#/components/schemas/PromptAnthropicInvocationParameters'
            - $ref: '#/components/schemas/PromptGoogleInvocationParameters'
            - $ref: '#/components/schemas/PromptDeepSeekInvocationParameters'
            - $ref: '#/components/schemas/PromptXAIInvocationParameters'
            - $ref: '#/components/schemas/PromptOllamaInvocationParameters'
            - $ref: '#/components/schemas/PromptAwsInvocationParameters'
            - $ref: '#/components/schemas/PromptCerebrasInvocationParameters'
            - $ref: '#/components/schemas/PromptFireworksInvocationParameters'
            - $ref: '#/components/schemas/PromptGroqInvocationParameters'
            - $ref: '#/components/schemas/PromptMoonshotInvocationParameters'
            - $ref: '#/components/schemas/PromptPerplexityInvocationParameters'
            - $ref: '#/components/schemas/PromptTogetherInvocationParameters'
          title: Invocation Parameters
          discriminator:
            propertyName: type
            mapping:
              anthropic:
                $ref: '#/components/schemas/PromptAnthropicInvocationParameters'
              aws:
                $ref: '#/components/schemas/PromptAwsInvocationParameters'
              azure_openai:
                $ref: '#/components/schemas/PromptAzureOpenAIInvocationParameters'
              cerebras:
                $ref: '#/components/schemas/PromptCerebrasInvocationParameters'
              deepseek:
                $ref: '#/components/schemas/PromptDeepSeekInvocationParameters'
              fireworks:
                $ref: '#/components/schemas/PromptFireworksInvocationParameters'
              google:
                $ref: '#/components/schemas/PromptGoogleInvocationParameters'
              groq:
                $ref: '#/components/schemas/PromptGroqInvocationParameters'
              moonshot:
                $ref: '#/components/schemas/PromptMoonshotInvocationParameters'
              ollama:
                $ref: '#/components/schemas/PromptOllamaInvocationParameters'
              openai:
                $ref: '#/components/schemas/PromptOpenAIInvocationParameters'
              perplexity:
                $ref: '#/components/schemas/PromptPerplexityInvocationParameters'
              together:
                $ref: '#/components/schemas/PromptTogetherInvocationParameters'
              xai:
                $ref: '#/components/schemas/PromptXAIInvocationParameters'
        tools:
          anyOf:
            - $ref: '#/components/schemas/PromptTools'
            - type: 'null'
        response_format:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/PromptResponseFormatJSONSchema'
              discriminator:
                propertyName: type
                mapping:
                  json_schema:
                    $ref: '#/components/schemas/PromptResponseFormatJSONSchema'
            - type: 'null'
          title: Response Format
        id:
          type: string
          title: Id
      type: object
      required:
        - model_provider
        - model_name
        - template
        - template_type
        - template_format
        - invocation_parameters
        - id
      title: PromptVersion
    ModelProvider:
      type: string
      enum:
        - OPENAI
        - AZURE_OPENAI
        - ANTHROPIC
        - GOOGLE
        - DEEPSEEK
        - XAI
        - OLLAMA
        - AWS
        - CEREBRAS
        - FIREWORKS
        - GROQ
        - MOONSHOT
        - PERPLEXITY
        - TOGETHER
      title: ModelProvider
    PromptChatTemplate:
      properties:
        type:
          type: string
          const: chat
          title: Type
        messages:
          items:
            $ref: '#/components/schemas/PromptMessage'
          type: array
          title: Messages
      additionalProperties: false
      type: object
      required:
        - type
        - messages
      title: PromptChatTemplate
    PromptStringTemplate:
      properties:
        type:
          type: string
          const: string
          title: Type
        template:
          type: string
          title: Template
      additionalProperties: false
      type: object
      required:
        - type
        - template
      title: PromptStringTemplate
    PromptTemplateType:
      type: string
      enum:
        - STR
        - CHAT
      title: PromptTemplateType
    PromptTemplateFormat:
      type: string
      enum:
        - MUSTACHE
        - F_STRING
        - NONE
      title: PromptTemplateFormat
    PromptOpenAIInvocationParameters:
      properties:
        type:
          type: string
          const: openai
          title: Type
        openai:
          $ref: '#/components/schemas/PromptOpenAIInvocationParametersContent'
      additionalProperties: false
      type: object
      required:
        - type
        - openai
      title: PromptOpenAIInvocationParameters
    PromptAzureOpenAIInvocationParameters:
      properties:
        type:
          type: string
          const: azure_openai
          title: Type
        azure_openai:
          $ref: '#/components/schemas/PromptAzureOpenAIInvocationParametersContent'
      additionalProperties: false
      type: object
      required:
        - type
        - azure_openai
      title: PromptAzureOpenAIInvocationParameters
    PromptAnthropicInvocationParameters:
      properties:
        type:
          type: string
          const: anthropic
          title: Type
        anthropic:
          $ref: '#/components/schemas/PromptAnthropicInvocationParametersContent'
      additionalProperties: false
      type: object
      required:
        - type
        - anthropic
      title: PromptAnthropicInvocationParameters
    PromptGoogleInvocationParameters:
      properties:
        type:
          type: string
          const: google
          title: Type
        google:
          $ref: '#/components/schemas/PromptGoogleInvocationParametersContent'
      additionalProperties: false
      type: object
      required:
        - type
        - google
      title: PromptGoogleInvocationParameters
    PromptDeepSeekInvocationParameters:
      properties:
        type:
          type: string
          const: deepseek
          title: Type
        deepseek:
          $ref: '#/components/schemas/PromptDeepSeekInvocationParametersContent'
      additionalProperties: false
      type: object
      required:
        - type
        - deepseek
      title: PromptDeepSeekInvocationParameters
    PromptXAIInvocationParameters:
      properties:
        type:
          type: string
          const: xai
          title: Type
        xai:
          $ref: '#/components/schemas/PromptXAIInvocationParametersContent'
      additionalProperties: false
      type: object
      required:
        - type
        - xai
      title: PromptXAIInvocationParameters
    PromptOllamaInvocationParameters:
      properties:
        type:
          type: string
          const: ollama
          title: Type
        ollama:
          $ref: '#/components/schemas/PromptOllamaInvocationParametersContent'
      additionalProperties: false
      type: object
      required:
        - type
        - ollama
      title: PromptOllamaInvocationParameters
    PromptAwsInvocationParameters:
      properties:
        type:
          type: string
          const: aws
          title: Type
        aws:
          $ref: '#/components/schemas/PromptAwsInvocationParametersContent'
      additionalProperties: false
      type: object
      required:
        - type
        - aws
      title: PromptAwsInvocationParameters
    PromptCerebrasInvocationParameters:
      properties:
        type:
          type: string
          const: cerebras
          title: Type
        cerebras:
          $ref: '#/components/schemas/PromptCerebrasInvocationParametersContent'
      additionalProperties: false
      type: object
      required:
        - type
        - cerebras
      title: PromptCerebrasInvocationParameters
    PromptFireworksInvocationParameters:
      properties:
        type:
          type: string
          const: fireworks
          title: Type
        fireworks:
          $ref: '#/components/schemas/PromptFireworksInvocationParametersContent'
      additionalProperties: false
      type: object
      required:
        - type
        - fireworks
      title: PromptFireworksInvocationParameters
    PromptGroqInvocationParameters:
      properties:
        type:
          type: string
          const: groq
          title: Type
        groq:
          $ref: '#/components/schemas/PromptGroqInvocationParametersContent'
      additionalProperties: false
      type: object
      required:
        - type
        - groq
      title: PromptGroqInvocationParameters
    PromptMoonshotInvocationParameters:
      properties:
        type:
          type: string
          const: moonshot
          title: Type
        moonshot:
          $ref: '#/components/schemas/PromptMoonshotInvocationParametersContent'
      additionalProperties: false
      type: object
      required:
        - type
        - moonshot
      title: PromptMoonshotInvocationParameters
    PromptPerplexityInvocationParameters:
      properties:
        type:
          type: string
          const: perplexity
          title: Type
        perplexity:
          $ref: '#/components/schemas/PromptPerplexityInvocationParametersContent'
      additionalProperties: false
      type: object
      required:
        - type
        - perplexity
      title: PromptPerplexityInvocationParameters
    PromptTogetherInvocationParameters:
      properties:
        type:
          type: string
          const: together
          title: Type
        together:
          $ref: '#/components/schemas/PromptTogetherInvocationParametersContent'
      additionalProperties: false
      type: object
      required:
        - type
        - together
      title: PromptTogetherInvocationParameters
    PromptTools:
      properties:
        type:
          type: string
          const: tools
          title: Type
        tools:
          items:
            oneOf:
              - $ref: '#/components/schemas/PromptToolFunction'
              - $ref: '#/components/schemas/PromptToolRaw'
            discriminator:
              propertyName: type
              mapping:
                function:
                  $ref: '#/components/schemas/PromptToolFunction'
                raw:
                  $ref: '#/components/schemas/PromptToolRaw'
          type: array
          minItems: 1
          title: Tools
        tool_choice:
          oneOf:
            - $ref: '#/components/schemas/PromptToolChoiceNone'
            - $ref: '#/components/schemas/PromptToolChoiceZeroOrMore'
            - $ref: '#/components/schemas/PromptToolChoiceOneOrMore'
            - $ref: '#/components/schemas/PromptToolChoiceSpecificFunctionTool'
          title: Tool Choice
          discriminator:
            propertyName: type
            mapping:
              none:
                $ref: '#/components/schemas/PromptToolChoiceNone'
              one_or_more:
                $ref: '#/components/schemas/PromptToolChoiceOneOrMore'
              specific_function:
                $ref: '#/components/schemas/PromptToolChoiceSpecificFunctionTool'
              zero_or_more:
                $ref: '#/components/schemas/PromptToolChoiceZeroOrMore'
        disable_parallel_tool_calls:
          type: boolean
          title: Disable Parallel Tool Calls
      additionalProperties: false
      type: object
      required:
        - type
        - tools
      title: PromptTools
    PromptResponseFormatJSONSchema:
      properties:
        type:
          type: string
          const: json_schema
          title: Type
        json_schema:
          $ref: '#/components/schemas/PromptResponseFormatJSONSchemaDefinition'
      additionalProperties: false
      type: object
      required:
        - type
        - json_schema
      title: PromptResponseFormatJSONSchema
    PromptMessage:
      properties:
        role:
          type: string
          enum:
            - user
            - assistant
            - model
            - ai
            - tool
            - system
            - developer
          title: Role
        content:
          anyOf:
            - type: string
            - items:
                oneOf:
                  - $ref: '#/components/schemas/TextContentPart'
                  - $ref: '#/components/schemas/ToolCallContentPart'
                  - $ref: '#/components/schemas/ToolResultContentPart'
                discriminator:
                  propertyName: type
                  mapping:
                    text:
                      $ref: '#/components/schemas/TextContentPart'
                    tool_call:
                      $ref: '#/components/schemas/ToolCallContentPart'
                    tool_result:
                      $ref: '#/components/schemas/ToolResultContentPart'
              type: array
              minItems: 1
          title: Content
      additionalProperties: false
      type: object
      required:
        - role
        - content
      title: PromptMessage
    PromptOpenAIInvocationParametersContent:
      properties:
        temperature:
          type: number
          title: Temperature
        max_tokens:
          type: integer
          title: Max Tokens
        max_completion_tokens:
          type: integer
          title: Max Completion Tokens
        frequency_penalty:
          type: number
          title: Frequency Penalty
        presence_penalty:
          type: number
          title: Presence Penalty
        top_p:
          type: number
          title: Top P
        seed:
          type: integer
          title: Seed
        stop:
          items:
            type: string
          type: array
          title: Stop
        reasoning_effort:
          type: string
          enum:
            - none
            - minimal
            - low
            - medium
            - high
            - xhigh
          title: Reasoning Effort
        extra_body:
          additionalProperties: true
          type: object
          title: Extra Body
      additionalProperties: false
      type: object
      title: PromptOpenAIInvocationParametersContent
    PromptAzureOpenAIInvocationParametersContent:
      properties:
        temperature:
          type: number
          title: Temperature
        max_tokens:
          type: integer
          title: Max Tokens
        max_completion_tokens:
          type: integer
          title: Max Completion Tokens
        frequency_penalty:
          type: number
          title: Frequency Penalty
        presence_penalty:
          type: number
          title: Presence Penalty
        top_p:
          type: number
          title: Top P
        seed:
          type: integer
          title: Seed
        stop:
          items:
            type: string
          type: array
          title: Stop
        reasoning_effort:
          type: string
          enum:
            - none
            - minimal
            - low
            - medium
            - high
            - xhigh
          title: Reasoning Effort
        extra_body:
          additionalProperties: true
          type: object
          title: Extra Body
      additionalProperties: false
      type: object
      title: PromptAzureOpenAIInvocationParametersContent
    PromptAnthropicInvocationParametersContent:
      properties:
        max_tokens:
          type: integer
          title: Max Tokens
        temperature:
          type: number
          title: Temperature
        top_p:
          type: number
          title: Top P
        stop_sequences:
          items:
            type: string
          type: array
          title: Stop Sequences
        output_config:
          $ref: '#/components/schemas/PromptAnthropicOutputConfig'
        thinking:
          oneOf:
            - $ref: '#/components/schemas/PromptAnthropicThinkingConfigDisabled'
            - $ref: '#/components/schemas/PromptAnthropicThinkingConfigEnabled'
            - $ref: '#/components/schemas/PromptAnthropicThinkingConfigAdaptive'
          title: Thinking
          discriminator:
            propertyName: type
            mapping:
              adaptive:
                $ref: '#/components/schemas/PromptAnthropicThinkingConfigAdaptive'
              disabled:
                $ref: '#/components/schemas/PromptAnthropicThinkingConfigDisabled'
              enabled:
                $ref: '#/components/schemas/PromptAnthropicThinkingConfigEnabled'
        extra_body:
          additionalProperties: true
          type: object
          title: Extra Body
      additionalProperties: false
      type: object
      required:
        - max_tokens
      title: PromptAnthropicInvocationParametersContent
    PromptGoogleInvocationParametersContent:
      properties:
        temperature:
          type: number
          title: Temperature
        max_output_tokens:
          type: integer
          title: Max Output Tokens
        stop_sequences:
          items:
            type: string
          type: array
          title: Stop Sequences
        presence_penalty:
          type: number
          title: Presence Penalty
        frequency_penalty:
          type: number
          title: Frequency Penalty
        top_p:
          type: number
          title: Top P
        top_k:
          type: integer
          title: Top K
        thinking_config:
          $ref: '#/components/schemas/PromptGoogleThinkingConfig'
      additionalProperties: false
      type: object
      title: PromptGoogleInvocationParametersContent
    PromptDeepSeekInvocationParametersContent:
      properties:
        temperature:
          type: number
          title: Temperature
        max_tokens:
          type: integer
          title: Max Tokens
        max_completion_tokens:
          type: integer
          title: Max Completion Tokens
        frequency_penalty:
          type: number
          title: Frequency Penalty
        presence_penalty:
          type: number
          title: Presence Penalty
        top_p:
          type: number
          title: Top P
        seed:
          type: integer
          title: Seed
        stop:
          items:
            type: string
          type: array
          title: Stop
        reasoning_effort:
          type: string
          enum:
            - none
            - minimal
            - low
            - medium
            - high
            - xhigh
          title: Reasoning Effort
        extra_body:
          additionalProperties: true
          type: object
          title: Extra Body
      additionalProperties: false
      type: object
      title: PromptDeepSeekInvocationParametersContent
    PromptXAIInvocationParametersContent:
      properties:
        temperature:
          type: number
          title: Temperature
        max_tokens:
          type: integer
          title: Max Tokens
        max_completion_tokens:
          type: integer
          title: Max Completion Tokens
        frequency_penalty:
          type: number
          title: Frequency Penalty
        presence_penalty:
          type: number
          title: Presence Penalty
        top_p:
          type: number
          title: Top P
        seed:
          type: integer
          title: Seed
        stop:
          items:
            type: string
          type: array
          title: Stop
        reasoning_effort:
          type: string
          enum:
            - none
            - minimal
            - low
            - medium
            - high
            - xhigh
          title: Reasoning Effort
        extra_body:
          additionalProperties: true
          type: object
          title: Extra Body
      additionalProperties: false
      type: object
      title: PromptXAIInvocationParametersContent
    PromptOllamaInvocationParametersContent:
      properties:
        temperature:
          type: number
          title: Temperature
        max_tokens:
          type: integer
          title: Max Tokens
        max_completion_tokens:
          type: integer
          title: Max Completion Tokens
        frequency_penalty:
          type: number
          title: Frequency Penalty
        presence_penalty:
          type: number
          title: Presence Penalty
        top_p:
          type: number
          title: Top P
        seed:
          type: integer
          title: Seed
        stop:
          items:
            type: string
          type: array
          title: Stop
        reasoning_effort:
          type: string
          enum:
            - none
            - minimal
            - low
            - medium
            - high
            - xhigh
          title: Reasoning Effort
        extra_body:
          additionalProperties: true
          type: object
          title: Extra Body
      additionalProperties: false
      type: object
      title: PromptOllamaInvocationParametersContent
    PromptAwsInvocationParametersContent:
      properties:
        max_tokens:
          type: integer
          title: Max Tokens
        temperature:
          type: number
          title: Temperature
        top_p:
          type: number
          title: Top P
        stop_sequences:
          items:
            type: string
          type: array
          title: Stop Sequences
      additionalProperties: false
      type: object
      title: PromptAwsInvocationParametersContent
    PromptCerebrasInvocationParametersContent:
      properties:
        temperature:
          type: number
          title: Temperature
        max_tokens:
          type: integer
          title: Max Tokens
        max_completion_tokens:
          type: integer
          title: Max Completion Tokens
        frequency_penalty:
          type: number
          title: Frequency Penalty
        presence_penalty:
          type: number
          title: Presence Penalty
        top_p:
          type: number
          title: Top P
        seed:
          type: integer
          title: Seed
        stop:
          items:
            type: string
          type: array
          title: Stop
        reasoning_effort:
          type: string
          enum:
            - none
            - minimal
            - low
            - medium
            - high
            - xhigh
          title: Reasoning Effort
        extra_body:
          additionalProperties: true
          type: object
          title: Extra Body
      additionalProperties: false
      type: object
      title: PromptCerebrasInvocationParametersContent
    PromptFireworksInvocationParametersContent:
      properties:
        temperature:
          type: number
          title: Temperature
        max_tokens:
          type: integer
          title: Max Tokens
        max_completion_tokens:
          type: integer
          title: Max Completion Tokens
        frequency_penalty:
          type: number
          title: Frequency Penalty
        presence_penalty:
          type: number
          title: Presence Penalty
        top_p:
          type: number
          title: Top P
        seed:
          type: integer
          title: Seed
        stop:
          items:
            type: string
          type: array
          title: Stop
        reasoning_effort:
          type: string
          enum:
            - none
            - minimal
            - low
            - medium
            - high
            - xhigh
          title: Reasoning Effort
        extra_body:
          additionalProperties: true
          type: object
          title: Extra Body
      additionalProperties: false
      type: object
      title: PromptFireworksInvocationParametersContent
    PromptGroqInvocationParametersContent:
      properties:
        temperature:
          type: number
          title: Temperature
        max_tokens:
          type: integer
          title: Max Tokens
        max_completion_tokens:
          type: integer
          title: Max Completion Tokens
        frequency_penalty:
          type: number
          title: Frequency Penalty
        presence_penalty:
          type: number
          title: Presence Penalty
        top_p:
          type: number
          title: Top P
        seed:
          type: integer
          title: Seed
        stop:
          items:
            type: string
          type: array
          title: Stop
        reasoning_effort:
          type: string
          enum:
            - none
            - minimal
            - low
            - medium
            - high
            - xhigh
          title: Reasoning Effort
        extra_body:
          additionalProperties: true
          type: object
          title: Extra Body
      additionalProperties: false
      type: object
      title: PromptGroqInvocationParametersContent
    PromptMoonshotInvocationParametersContent:
      properties:
        temperature:
          type: number
          title: Temperature
        max_tokens:
          type: integer
          title: Max Tokens
        max_completion_tokens:
          type: integer
          title: Max Completion Tokens
        frequency_penalty:
          type: number
          title: Frequency Penalty
        presence_penalty:
          type: number
          title: Presence Penalty
        top_p:
          type: number
          title: Top P
        seed:
          type: integer
          title: Seed
        stop:
          items:
            type: string
          type: array
          title: Stop
        reasoning_effort:
          type: string
          enum:
            - none
            - minimal
            - low
            - medium
            - high
            - xhigh
          title: Reasoning Effort
        extra_body:
          additionalProperties: true
          type: object
          title: Extra Body
      additionalProperties: false
      type: object
      title: PromptMoonshotInvocationParametersContent
    PromptPerplexityInvocationParametersContent:
      properties:
        temperature:
          type: number
          title: Temperature
        max_tokens:
          type: integer
          title: Max Tokens
        max_completion_tokens:
          type: integer
          title: Max Completion Tokens
        frequency_penalty:
          type: number
          title: Frequency Penalty
        presence_penalty:
          type: number
          title: Presence Penalty
        top_p:
          type: number
          title: Top P
        seed:
          type: integer
          title: Seed
        stop:
          items:
            type: string
          type: array
          title: Stop
        reasoning_effort:
          type: string
          enum:
            - none
            - minimal
            - low
            - medium
            - high
            - xhigh
          title: Reasoning Effort
        extra_body:
          additionalProperties: true
          type: object
          title: Extra Body
      additionalProperties: false
      type: object
      title: PromptPerplexityInvocationParametersContent
    PromptTogetherInvocationParametersContent:
      properties:
        temperature:
          type: number
          title: Temperature
        max_tokens:
          type: integer
          title: Max Tokens
        max_completion_tokens:
          type: integer
          title: Max Completion Tokens
        frequency_penalty:
          type: number
          title: Frequency Penalty
        presence_penalty:
          type: number
          title: Presence Penalty
        top_p:
          type: number
          title: Top P
        seed:
          type: integer
          title: Seed
        stop:
          items:
            type: string
          type: array
          title: Stop
        reasoning_effort:
          type: string
          enum:
            - none
            - minimal
            - low
            - medium
            - high
            - xhigh
          title: Reasoning Effort
        extra_body:
          additionalProperties: true
          type: object
          title: Extra Body
      additionalProperties: false
      type: object
      title: PromptTogetherInvocationParametersContent
    PromptToolFunction:
      properties:
        type:
          type: string
          const: function
          title: Type
        function:
          $ref: '#/components/schemas/PromptToolFunctionDefinition'
      additionalProperties: false
      type: object
      required:
        - type
        - function
      title: PromptToolFunction
    PromptToolRaw:
      properties:
        type:
          type: string
          const: raw
          title: Type
        raw:
          additionalProperties: true
          type: object
          title: Raw
      additionalProperties: false
      type: object
      required:
        - type
        - raw
      title: PromptToolRaw
    PromptToolChoiceNone:
      properties:
        type:
          type: string
          const: none
          title: Type
      additionalProperties: false
      type: object
      required:
        - type
      title: PromptToolChoiceNone
    PromptToolChoiceZeroOrMore:
      properties:
        type:
          type: string
          const: zero_or_more
          title: Type
      additionalProperties: false
      type: object
      required:
        - type
      title: PromptToolChoiceZeroOrMore
    PromptToolChoiceOneOrMore:
      properties:
        type:
          type: string
          const: one_or_more
          title: Type
      additionalProperties: false
      type: object
      required:
        - type
      title: PromptToolChoiceOneOrMore
    PromptToolChoiceSpecificFunctionTool:
      properties:
        type:
          type: string
          const: specific_function
          title: Type
        function_name:
          type: string
          title: Function Name
      additionalProperties: false
      type: object
      required:
        - type
        - function_name
      title: PromptToolChoiceSpecificFunctionTool
    PromptResponseFormatJSONSchemaDefinition:
      properties:
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        schema:
          additionalProperties: true
          type: object
          title: Schema
        strict:
          type: boolean
          title: Strict
      additionalProperties: false
      type: object
      required:
        - name
      title: PromptResponseFormatJSONSchemaDefinition
    TextContentPart:
      properties:
        type:
          type: string
          const: text
          title: Type
        text:
          type: string
          title: Text
      additionalProperties: false
      type: object
      required:
        - type
        - text
      title: TextContentPart
    ToolCallContentPart:
      properties:
        type:
          type: string
          const: tool_call
          title: Type
        tool_call_id:
          type: string
          title: Tool Call Id
        tool_call:
          oneOf:
            - $ref: '#/components/schemas/ToolCallFunction'
          title: Tool Call
          discriminator:
            propertyName: type
            mapping:
              function:
                $ref: '#/components/schemas/ToolCallFunction'
      additionalProperties: false
      type: object
      required:
        - type
        - tool_call_id
        - tool_call
      title: ToolCallContentPart
    ToolResultContentPart:
      properties:
        type:
          type: string
          const: tool_result
          title: Type
        tool_call_id:
          type: string
          title: Tool Call Id
        tool_result:
          anyOf:
            - type: boolean
            - type: integer
            - type: number
            - type: string
            - additionalProperties: true
              type: object
            - items: {}
              type: array
            - type: 'null'
          title: Tool Result
      additionalProperties: false
      type: object
      required:
        - type
        - tool_call_id
        - tool_result
      title: ToolResultContentPart
    PromptAnthropicOutputConfig:
      properties:
        effort:
          type: string
          enum:
            - low
            - medium
            - high
            - xhigh
            - max
          title: Effort
      additionalProperties: false
      type: object
      title: PromptAnthropicOutputConfig
    PromptAnthropicThinkingConfigDisabled:
      properties:
        type:
          type: string
          const: disabled
          title: Type
      additionalProperties: false
      type: object
      required:
        - type
      title: PromptAnthropicThinkingConfigDisabled
    PromptAnthropicThinkingConfigEnabled:
      properties:
        type:
          type: string
          const: enabled
          title: Type
        budget_tokens:
          type: integer
          minimum: 1024
          title: Budget Tokens
        display:
          type: string
          enum:
            - summarized
            - omitted
          title: Display
      additionalProperties: false
      type: object
      required:
        - type
        - budget_tokens
      title: PromptAnthropicThinkingConfigEnabled
    PromptAnthropicThinkingConfigAdaptive:
      properties:
        type:
          type: string
          const: adaptive
          title: Type
        display:
          type: string
          enum:
            - summarized
            - omitted
          title: Display
      additionalProperties: false
      type: object
      required:
        - type
      title: PromptAnthropicThinkingConfigAdaptive
    PromptGoogleThinkingConfig:
      properties:
        thinking_budget:
          type: integer
          title: Thinking Budget
        thinking_level:
          type: string
          enum:
            - minimal
            - low
            - medium
            - high
          title: Thinking Level
        include_thoughts:
          type: boolean
          title: Include Thoughts
      additionalProperties: false
      type: object
      title: PromptGoogleThinkingConfig
    PromptToolFunctionDefinition:
      properties:
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        parameters:
          additionalProperties: true
          type: object
          title: Parameters
        strict:
          type: boolean
          title: Strict
      additionalProperties: false
      type: object
      required:
        - name
      title: PromptToolFunctionDefinition
    ToolCallFunction:
      properties:
        type:
          type: string
          const: function
          title: Type
        name:
          type: string
          title: Name
        arguments:
          type: string
          title: Arguments
      additionalProperties: false
      type: object
      required:
        - type
        - name
        - arguments
      title: ToolCallFunction

````